<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net5.0-windows</TargetFramework>
    <LangVersion>9.0</LangVersion>
    <Nullable>disable</Nullable>
    <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
    <Platforms>x64;x86</Platforms>
    <ApplicationIcon>LnkConverter.ico</ApplicationIcon>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>X64;TRACE;NLIB_USE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <PlatformTarget>x64</PlatformTarget>
    <DocumentationFile>LnkConverter.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>X86;TRACE;NLIB_USE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <PlatformTarget>x86</PlatformTarget>
    <DocumentationFile>LnkConverter.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>X64;TRACE;NLIB_USE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <PlatformTarget>x64</PlatformTarget>
    <DocumentationFile>LnkConverter.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>X86;TRACE;NLIB_USE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <PlatformTarget>x86</PlatformTarget>
    <DocumentationFile>LnkConverter.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="CommonHelpers">
      <HintPath>..\..\..\..\Assemblies\.WIN32\CommonHelpers.dll</HintPath>
    </Reference>
    <Reference Include="CommonHelpers.2">
      <HintPath>..\..\..\..\Assemblies\.WIN32\CommonHelpers.2.dll</HintPath>
    </Reference>
    <Reference Include="CommonHelpers.Sys">
      <HintPath>..\..\..\..\Assemblies\.WIN32\CommonHelpers.Sys.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\..\..\.LEGACY\LnkConverter utility\LnkConverter\MainCode\**\*.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Update="LnkConverter.DummyShortcut.bin">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <None Remove="*.cmd" />
    <None Remove="*.bak" />
  </ItemGroup>

</Project>
